Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.net
Class URLEncoder

    java.lang.Object
      |
      +--java.net.URLEncoder

public class URLEncoder
extends Object

The class contains a utility method for converting a `String` into a MIME format called "`x-www-form-urlencoded`" format.

To convert a `String`, each character is examined in turn:

- The ASCII characters '`a`' through '`z`', '`A`' through '`Z`', '`0`' through '`9`', and ".", "-", "*", "_" remain the same.
- The space character '`` ' is converted into a plus sign '`+`'.
- All other characters are converted into the 3-character string "`%xy`", where xy is the two-digit hexadecimal representation of the lower 8-bits of the character.

Since:
  JDK1.0

Method Summary
`static String` | `encode(String s)` Translates a string into `x-www-form-urlencoded` format.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### encode

    public static String encode(String s)

  Translates a string into `x-www-form-urlencoded` format.
  Parameters:
    `s` - `String` to be translated.
  Returns:
    the translated `String`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.